/*program to test the Watch Dog Timer of Bolt 18F2550
After reset, program activates relay 5 times, then
program initializes WDT (timeout=131 seconds)
Will continue to flash led RB0 until WDT will activate
an automatic reset to the system and user will hear the 
sound of the relay when activated. Cycle repeats.
Now, if the ClrWdt() function is included in the loop, the
the timeout of the WDT never ocurs and the reset will never
be activated */



#include <p18cxxx.h>
#include <delays.h>
#include <stdio.h>		//librera sprintf()
#include <stdlib.h>		//libreras atoi(),atof()
#include "18F2550BOLT.h"

extern void _startup( void ); // See c018i.c in your C18 compiler dir 
#pragma code _RESET_INTERRUPT_VECTOR = 0x000800 
void _reset( void ) 
{ 
    _asm goto _startup _endasm 
} 

#pragma code

int i; 
void main()
{
init_bolt();
	for(i=0;i<5;i++) //after reset, relay activates 5 times
	{
	RELE=1;
	delay_ms(500);
	RELE=0;
	delay_ms(500);
	}
WDTCONbits.SWDTEN = 1; //enable watchdog timer
	while(1)			//led B0 will flash until WDT reset
	{
	RB0=1;	
	//ClrWtd();			//this function must be included		
	delay_ms(200);		//to avoid an automatic reset
	RB0=0;
	delay_ms(200);
	}

} 



